Reminders
These API endpoints are related to reminders on Omniplex
GET
Gets a users reminders
Userheader
User-Auth<token>Requires a user token. Should be prefixed with User in Authorization header.
id*stringUser ID
Success
application/json- response
reminders?array<>curl -X GET 'https://spider.omniplex.gg/users/string/reminders'Example Response
{ "reminders": [ { "created_at": "2019-08-24T14:15:22Z", "last_acked": "2019-08-24T14:15:22Z", "resolved": { "avatar": "string", "name": "string" }, "target_id": "string", "target_type": "string", "user_id": "string" } ]}DELETE
Deletes a users reminders. Returns 204 on success
Userheader
User-Auth<token>Requires a user token. Should be prefixed with User in Authorization header.
uid*stringUser ID
target_type*stringThe target type of the entity
target_id*stringThe target ID of the entity
Success
application/json- response
reminders?array<>curl -X DELETE 'https://spider.omniplex.gg/users/string/string/string/reminders'Example Response
{ "reminders": [ { "created_at": "2019-08-24T14:15:22Z", "last_acked": "2019-08-24T14:15:22Z", "resolved": { "avatar": "string", "name": "string" }, "target_id": "string", "target_type": "string", "user_id": "string" } ]}PUT
Creates a new user reminders of an entity
Userheader
User-Auth<token>Requires a user token. Should be prefixed with User in Authorization header.
uid*stringUser ID
target_type*stringThe target type of the entity
target_id*stringThe target ID of the entity
Success
application/json- response
reminders?array<>curl -X PUT 'https://spider.omniplex.gg/users/string/string/string/reminders'Example Response
{ "reminders": [ { "created_at": "2019-08-24T14:15:22Z", "last_acked": "2019-08-24T14:15:22Z", "resolved": { "avatar": "string", "name": "string" }, "target_id": "string", "target_type": "string", "user_id": "string" } ]}